Witaj Gościu! ( Zaloguj | Rejestruj )

Forum PHP.pl

 
Reply to this topicStart new topic
> [phalcon][xampp][win10] jak zainstalować, problem z zainstalowaniem rozszerzenia phalcon
siutek
post 2.05.2018, 20:56:04
Post #1





Grupa: Zarejestrowani
Postów: 152
Pomógł: 1
Dołączył: 26.10.2005
Skąd: Toruń

Ostrzeżenie: (0%)
-----


Witam,
chciałem rozpocząć swoją przygodę z frameworkiem phalcon. Z racji, że na co dzień zajmuję się zawodowo zarówno tworzeniem stron jak i projektowaniem grafik jestem skazany na windows 10, z resztą odkąd pamiętam siedziałem na windzie i dobrze mi z nią smile.gif Naczytałem się sporo o phalconie i postanowiłem pójść w tym kierunku.

Chciałem zainstalować więc tego frameworka na swoim komputerze z pakietem XAMPP. I teraz tak:
- mam procesor 64 bitowy
- jednak XAMPP był w wersji 32bit - na stronie nie było instalatora dla windowsa z wersją 64bit

Ściągnąłem rozszerzenie phalcona w formacie pliku .dll w wersji 64 bitowej, tak jak mam procesor, wpisałem linijkę extension=php_phalcon.dll w php.ini, zresetowałem apache'a... i nic. w phpinfo() nie ma ani słowa o phalconie.
No to pomyślałem, że jednak powinienem pobrać dll w wersji 32 bit, tak jak jest sam XAMPP, podmieniłem pliki zresetowałem apache'a a w efekcie tego trzymałem komunikat: Nie znaleziono punktu wejścia procedury zend_ce_countable w bibliotece C:\xampp\php\ext\php_phalcon.dll

extension_dir jest na bank tym samym katalogiem do którego wrzucam biblioteki dll.

nie wiem gdzie może leżeć problem. Wiem, że winda to nie najlepsze środowisko odo takich zabaw, ale tak jak mówilem wcześniej, zmiana na linuksa nie wchodzi w grę.
Go to the top of the page
+Quote Post
Pilsener
post 2.05.2018, 23:26:52
Post #2





Grupa: Zarejestrowani
Postów: 1 576
Pomógł: 185
Dołączył: 19.04.2006
Skąd: Gdańsk

Ostrzeżenie: (0%)
-----


Hej,

Cytat
odkąd pamiętam siedziałem na windzie i dobrze mi z nią
- no to powinieneś od dawna wiedzieć, jak się dociąga biblioteki.

Musisz odpalić phpinfo i odczytać takie rzeczy jak:
- wersja PHP
- wersja kompilacji
- thread safe
- architektura

Potem pobrać odpowiedni dll:
https://github.com/phalcon/cphalcon/releases/tag/v3.3.2
Go to the top of the page
+Quote Post
siutek
post 4.05.2018, 12:45:21
Post #3





Grupa: Zarejestrowani
Postów: 152
Pomógł: 1
Dołączył: 26.10.2005
Skąd: Toruń

Ostrzeżenie: (0%)
-----


problem rozwiązany, winowajcą - jak zwykle - było moje gapiostwo.
o ile pobrałem właściwą wersję phalcona dla architektury 64bit - ale nie działała, bo powinienem pobrać wersję x86. no i pobrałem. tylko, że nie tą wersję php co trzeba, zgapiłem się o jeden mały numerek. ściągnąłem v7.2.0 a powinienem 7.1.0

temat do zamknięcia, dzięki za pomoc smile.gif
Go to the top of the page
+Quote Post

Reply to this topicStart new topic
1 Użytkowników czyta ten temat (1 Gości i 0 Anonimowych użytkowników)
0 Zarejestrowanych:

 



RSS Wersja Lo-Fi Aktualny czas: 20.07.2018 - 19:32